# H4507_BasicService Class Reference

`#include <h4507.h>`

List of all members.

## Public Types

enum | Enumerations { e_allServices, e_speech, e_unrestrictedDigitalInformation, e_audio3100Hz, e_telephony = 32, e_teletex, e_telefaxGroup4Class1, e_videotexSyntaxBased, e_videotelephony }

## Public Member Functions

| H4507_BasicService (unsigned tag=UniversalEnumeration, TagClass tagClass=UniversalTagClass)
H4507_BasicService & | operator= (unsigned v)
PObject * | Clone () const

## Member Enumeration Documentation

enum H4507_BasicService::Enumerations

Enumerator:

  e_allServices |
  e_speech |
  e_unrestrictedDigitalInformation |
  e_audio3100Hz |
  e_telephony |
  e_teletex |
  e_telefaxGroup4Class1 |
  e_videotexSyntaxBased |
  e_videotelephony |

## Constructor & Destructor Documentation

H4507_BasicService::H4507_BasicService | ( | unsigned | tag = `UniversalEnumeration`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

H4507_BasicService& H4507_BasicService::operator= | ( | unsigned | v | ) |

PObject* H4507_BasicService::Clone | ( |  | ) | const

The documentation for this class was generated from the following file:

- h4507.h